Requires write_fulfillment_service access scope.
For more info, refer to:
POST https://{handle}.myshopline.com/admin/openapi/v20270301/fulfillment_service_location/create.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Create a fulfillment service location.
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
  • locationobject required
    The information about the fulfillment service location.
  • address1 string
    The first line of the location. This typically includes information such as the street address or a post office box number.
    Example: 126 York Street
  • address2 string
    The second line of the location. This typically includes information such as an apartment, suite, or unit number.
    Example: Unit 42
  • city string
    The city.
    Example: Ottawa
  • city_code string
    The code for the city.
    Example: 120100
  • country string
    The country or region.
    Example: Canada
  • country_code string required
    A two-letter country or region code that follows the ISO 3166-1 (alpha 2) standard.
    Example: CA
  • inventory_management boolean
    Whether the product inventory for the location is managed by the fulfillment app.
    • true: Managed by the fulfillment app.
    • false: Managed by the SHOPLINE Admin.
    Default value: true
  • name string required
    The location's name.
    Example: Ottawa Store
  • permits_sku_sharing boolean
    Whether the product inventory for the location is shared by other locations.
    • true: The product inventory for the location is shared by other locations.
    • false: The product inventory for the location is not shared by other locations.
    Default value: false
  • phone string required
    The merchant's phone number.
    Example: 18883290139
  • phone_code string
    The international dialing code for the phone number.
    Example: 0010
  • province string
    The state or province.
    Example: Ontario
  • province_code string
    The code for the state or province.
    Example: 2400011
  • zip string required
    The postal code of the location.
    Example: A1B 2C3
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • locationobject
    The information about the fulfillment service location.
  • active boolean
    Whether the location is enabled.
    • true: Enabled
    • false: Not enabled
  • address1 string
    The first line of the location. This typically includes information such as the street address or a post office box number.
    Example: 126 York Street
  • address2 string
    The second line of the location. This typically includes information such as an apartment, suite, or unit number.
    Example: Unit 42
  • city string
    The city.
    Example: Ottawa
  • city_code string
    The code for the city.
    Example: 120100
  • country string
    The country or region.
    Example: Canada
  • country_code string
    A two-letter country or region code that follows the ISO 3166-1 (alpha 2) standard.
    Example: CA
  • create_at string
    The date and time when the location was created. Format: ISO 8601.
    Example: 2021-08-16T08:27:57+00:00
  • id string
    The unique identifier for the location.
    Example: 5668167071852661850
  • inventory_management boolean
    Whether the product inventory for the location is managed by the fulfillment app.
    • true: Managed by the fulfillment app.
    • false: Managed by the SHOPLINE Admin.
  • is_default boolean
    Whether the location is the default location.
    • true: The location is the default location.
    • false: The location is not the default location.
  • legacy boolean
    Whether the location is exclusive to the fulfillment app.
    • true: The location is exclusive to the fulfillment app.
    • false: The location is not exclusive to the fulfillment app.
  • name string
    The location's name.
    Example: Ottawa Store
  • permits_sku_sharing boolean
    Whether the product inventory for the location is shared by other locations.
    • true: The product inventory for the location is shared by other locations.
    • false: The product inventory for the location is not shared by other locations.
  • phone string
    The merchant's phone number.
    Example: 18883290139
  • phone_code string
    The international dialing code for the phone number.
    Example: 0010
  • province string
    The state or province.
    Example: Ontario
  • province_code string
    The code for the state or province.
    Example: 2400011
  • update_at string
    The date and time when the location was updated. Format: ISO 8601.
    Example: 2021-08-16T08:27:57+00:00
  • zip string
    The postal code of the location.
    Example: A1B 2C3
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20270301

ParamOptions

— header required

Body

required
{
  "location": {
    "address1": "126 York Street",
    "address2": "Unit 42",
    "city": "Ottawa",
    "city_code": "120100",
    "country": "Canada",
    "country_code": "CA",
    "inventory_management": null,
    "name": "Ottawa Store",
    "permits_sku_sharing": null,
    "phone": "18883290139",
    "phone_code": "0010",
    "province": "Ontario",
    "province_code": "2400011",
    "zip": "A1B 2C3"
  }
}

Language

curl --request POST \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20270301/fulfillment_service_location/create.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Create a fulfillment service location
Request
{
"location": {
"address1": "2800 E Observatory Rd",
"address2": "Griffith Observatory",
"city": "Los Angeles",
"city_code": "",
"country": "United States",
"country_code": "US",
"inventory_management": true,
"name": "Ottawa Store",
"permits_sku_sharing": true,
"phone": "213***0199",
"phone_code": "001",
"province": "California",
"province_code": "4200006",
"zip": "90027"
}
}
Response
{
"location": {
"active": true,
"address1": "2800 E Observatory Rd",
"address2": "Griffith Observatory",
"city": "Los Angeles",
"city_code": "",
"country": "United States",
"country_code": "US",
"create_at": "2026-07-15T15:28:17+08:00",
"id": "7613037372894658699",
"inventory_management": true,
"is_default": false,
"legacy": true,
"name": "Ottawa Store",
"permits_sku_sharing": true,
"phone": "213***0199",
"phone_code": "001",
"province": "California",
"province_code": "4200006",
"update_at": "2026-07-15T15:28:17+08:00",
"zip": "90027"
}
}
Was this article helpful to you?